﻿using Configuration.Models;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Options;

namespace Configuration.Controllers
{
	public class ReadController : Controller
	{
		private IOptions<MyWebApi> settings;

		public ReadController(IOptions<MyWebApi> settings)
		{
			this.settings = settings;
		}

		public IActionResult Index()
		{
			string apiName = settings.Value.Name;
			string url = settings.Value.Url;
			bool secured = settings.Value.IsSecured;
			ViewBag.data = apiName + " " + url + " " + secured; 
			return View();
		}
	}
}
